explain_setbuf_or_die(3)

NAME
explain_setbuf_or_die - set stream buffer and report errors

SYNOPSIS
#include <libexplain/setbuf.h>

void explain_setbuf_or_die(FILE *fp, char *data);
void explain_setbuf_on_error(FILE *fp, char *data);

DESCRIPTION
The explain_setbuf_or_die function is used to call the setbuf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_setbuf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setbuf_on_error function is used to call the setbuf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_setbuf(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the setbuf(3) system call.

data
    The data, exactly as to be passed to the setbuf(3) system call.

RETURN VALUE
The explain_setbuf_or_die function only returns on success, see setbuf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setbuf_on_error function always returns the value return by the wrapped setbuf(3) system call.

EXAMPLE
The explain_setbuf_or_die function is intended to be used in a fashion similar to the following example:
    explain_setbuf_or_die(fp, data);

SEE ALSO

setbuf(3)
    set stream buffer

explain_setbuf(3)
    explain setbuf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2010 Peter Miller